package com.fs.sop.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.common.annotation.DataSource;
import com.fs.common.enums.DataSourceType;
import com.fs.sop.domain.QwSopTempDay;
import org.apache.ibatis.annotations.Param;

/**
 * sop任务模板规则Mapper接口
 *
 * @author fs
 * @date 2025-02-06
 */
@DataSource(DataSourceType.SOP)
public interface QwSopTempDayMapper extends BaseMapper<QwSopTempDay>{

    QwSopTempDay info(@Param("id") Long id);

    Integer getDayNumByIdLimitOne(@Param("tempId") String tempId);

    void updateVoice(@Param("dayId") Long dayId);
}
